> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Integration > Get the information of a specific incoming or outgoing integration. Permissions required: * `manage-incoming-integrations` * `manage-own-incoming-integrations` * `manage-outgoing-integrations` * `manage-own-outgoing-integrations` ### Changelog | Version | Description | | ---------------- | ------------| |2.4.0 | Added | ## OpenAPI ````json GET /api/v1/integrations.get { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Integrations" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Integration" }, { "name": "OAuth Apps" }, { "name": "WebDAV" } ], "paths": { "/api/v1/integrations.get": { "get": { "tags": [ "Integration" ], "summary": "Get Integration", "description": "Get the information of a specific incoming or outgoing integration.\n\nPermissions required:\n* `manage-incoming-integrations`\n* `manage-own-incoming-integrations`\n* `manage-outgoing-integrations`\n* `manage-own-outgoing-integrations`\n\n### Changelog\n| Version | Description |\n| ---------------- | ------------|\n|2.4.0 | Added |", "operationId": "get-api-v1-integrations-get", "parameters": [ { "$ref": "#/components/parameters/X-Auth-Token" }, { "$ref": "#/components/parameters/X-User-Id" }, { "name": "integrationId", "in": "query", "description": "The integration ID.", "required": "true", "schema": { "type": "string" }, "example": "ByehQjC44FwMeiLbX" }, { "name": "createdBy", "in": "query", "description": "The user ID who created the integration.", "schema": { "type": "string" }, "example": "fn5u45ui34fvb" } ], "responses": { "200": { "description": "", "content": { "application/json": { "schema": { "type": "object", "properties": { "integration": { "type": "object", "properties": { "_id": { "type": "string" }, "type": { "type": "string" }, "username": { "type": "string" }, "channel": { "type": "array", "items": { "type": "string" } }, "scriptEnabled": { "type": "boolean" }, "name": { "type": "string" }, "enabled": { "type": "boolean" }, "event": { "type": "string" }, "urls": { "type": "array", "items": { "type": "string" } }, "scriptEngine": { "type": "string" }, "userId": { "type": "string" }, "_createdAt": { "type": "string" }, "_createdBy": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" } } }, "_updatedAt": { "type": "string" } } }, "success": { "type": "boolean" } } }, "examples": { "Success Example": { "value": { "integration": { "_id": "659ea5e42dd9f928ada3e451", "type": "webhook-outgoing", "username": "test.cat", "channel": [ "#general" ], "scriptEnabled": "true", "name": "test.cat", "enabled": "true", "event": "sendMessage", "urls": [ "https://text2gif.guggy.com/guggify" ], "scriptEngine": "isolated-vm", "userId": "CkCPNcvsvCDfmWLqC", "_createdAt": "2024-01-10T14:12:52.201Z", "_createdBy": { "_id": "CkCPNcvsvCDfmWLqC", "username": "test.cat" }, "_updatedAt": "2024-01-10T14:12:52.203Z" }, "success": "true" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } } }, "examples": { "Example 1": { "value": { "success": "false", "error": "must have required property 'integrationId' [invalid-params]", "errorType": "invalid-params" } }, "Example 2": { "value": { "success": "false", "error": "The integration does not exists." } } } } } } } } } }, "components": { "parameters": { "X-Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The authorization token of the user.", "required": "true", "schema": { "type": "string" }, "example": "9HqLlyZOugD_0YdwAJF8V47U3QHXSq" }, "X-User-Id": { "name": "X-User-Id", "in": "header", "description": "The user ID of the user.", "required": "true", "schema": { "type": "string" }, "example": "aobEdbYhXfu5hkeqG" } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````